#!/usr/bin/perl -w
#

use strict;
use Test::More tests => 21;
use Cwd;
use lib "../plugins-scripts";
use Nagios::CheckLogfiles::Test;
use constant TESTDIR => ".";


########################################################
# now with nologfilenocry
#
my $cl = Nagios::CheckLogfiles::Test->new({
	seekfilesdir => TESTDIR."/var/tmp",
	searches => [
	    {
	      tag => "ssh",
	      logfile => TESTDIR."/var/adm/messages",
	      criticalpatterns => "Failed password",
	      warningpatterns => "Unknown user",
              options => "nologfilenocry,sticky=4,allyoucaneat"
	    }
	]    });
my $ssh = $cl->get_search_by_tag("ssh");
$cl->reset();
$ssh->delete_logfile();
$ssh->delete_seekfile();
$ssh->trace("deleted logfile and seekfile");

$ssh->logger(undef, undef, 2, "bla");

$cl->run();
diag(`/bin/ls -li $ssh->{logfile}`);
diag($cl->has_result());
diag($cl->{exitmessage});
ok($cl->expect_result(0, 0, 0, 0, 0));

$ssh->logger(undef, undef, 2, "Failed password");

$cl->run();
diag(`/bin/ls -li $ssh->{logfile}`);
diag($cl->has_result());
diag($cl->{exitmessage});
ok($cl->expect_result(0, 0, 2, 0, 2));
$cl->run();
$ssh->logger(undef, undef, 2, "bla");
$ssh->trace("should be unsticked now");
sleep 5;
$cl->run();
$ssh->trace("really should be unsticked now");

delete $ssh->{newstate}->{logtime};
$ssh->delete_logfile();

$cl->run();
printf STDERR "%s\n", Data::Dumper::Dumper($ssh->{newstate});
diag(`/bin/ls -li $ssh->{logfile}`);
diag($cl->has_result());
diag($cl->{exitmessage});
ok($cl->expect_result(0, 0, 0, 0, 0));

